import { CdmAttributeContext, CdmCorpusContext, CdmObject, CdmObjectDefinitionBase, cdmObjectType, ResolvedAttributeSetBuilder, ResolvedTraitSetBuilder, resolveOptions, VisitCallback } from '../internal';
/**
 * The CDM definition of a Trait Group object, representing a collection (grouping) of one or more traits.
 */
export declare class CdmTraitGroupDefinition extends CdmObjectDefinitionBase {
    private TAG;
    traitGroupName: string;
    constructor(ctx: CdmCorpusContext, traitGroupName: string);
    getObjectType(): cdmObjectType;
    copy(resOpt?: resolveOptions, host?: CdmObject): CdmObject;
    validate(): boolean;
    getName(): string;
    isDerivedFrom(base: string, resOpt?: resolveOptions): boolean;
    visit(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
    /**
     * @internal
     */
    constructResolvedTraits(rtsb: ResolvedTraitSetBuilder, resOpt: resolveOptions): void;
    /**
     * @internal
     */
    constructResolvedAttributes(resOpt: resolveOptions, under?: CdmAttributeContext): ResolvedAttributeSetBuilder;
}
